/* Angular module declarion and route config */
var app = angular.module("ag561app", ["ngRoute", "angularFileUpload", "ui.bootstrap",
                                      "ngAnimate", "dndLists", "ui.toggle"]);

app.factory('APIAuthInterceptor', function ($q, $window, $location) {
    return {
        responseError: function(response) {
            if (response.status === 401) {
                //  Redirect user to login page
                $window.location.href = '/login';
            }
            return $q.reject(response);
        }
    };
});

// Register the previously created AuthInterceptor.
app.config(function ($httpProvider) {
    $httpProvider.interceptors.push('APIAuthInterceptor');
});

app.filter('capitalize', function() {
    return function(input, scope) {
        if (typeof input === 'string' || input instanceof String) {
            input = input.toLowerCase();
            return input.substring(0,1).toUpperCase() + input.substring(1);
        }
        return input;
  }
});
